Dicas/ Flex/ Microsoft

Flex e Windows Vista

Nesta ultima sexta-feira chegadou meu novo laptop com Windows Vista Home Premium já instalado. Logo de início procurei configurar tudo para migrar o que tinha no outro laptop com Windows XP Professional para esse novo.
Eu já vinha à um certo tempo querendo trocar de máquena e só que quando tomei a decisão, o Windows Vista era novidade, então quem compra na crista da onda gasta muito mais dinheiro.
Em fim, instalando as coisas me deparei que o Flex Builder 2 não é oficialmente suportado pela Adobe. Comecei então as tentativas de fazer com que o Flex Builder 2 funcionasse no Vista. Pelas pesquesas que fiz com o amigo Google, não foi só eu quem teve esse mesmo problema, mais inúmeras pessoas.
O principal problema é que se você for instalar o Flex Builder 2 como plug-in do Eclipse para trabalhar, vai acontecer inúmeros erros. Até mesmo com o Flex Builder 3.
Para fazer funcionar o Flex Builder 2/3, você só consegue fazer funcionar se for como Stand Alone, e antes de começar a usar você vai precisar clicar com o botão direito sobre o ícone e executar como Administrador, isso é apenas pela primeira vez.

Por que tudo isso?

O Windows Vista ele trabalha com aplicativos do tipo Virtual, como ele agora tudo que você for fazer precisa “autorizar”, então o Flex Builder é uma virtual Machine. Eu esperava que isso não viesse no Vista com falta de suporte a máquenas virtuais. Mais em fim, eu estou gostando do Windows Vista, as fontes do sistema, a maneira como ele trabalha com janelas, configurações é bem favorável. Então de vez agora estou usando o Vista.

Outros problemas eu encontrei por falta de compatibilidade, Mesmo rodando como Stand Alone, eu agora não consigo uma ferramenta que possa programar em Java. Tenho que executar o eclipse separado e ter ambos rodando. Acredito que a Adobe ou melhor o Flex Team possa contornar esse problema “estavel”, e passe a suportar o Flex Builder 2/3 satisfatoriamente no Windows Vista.

2 thoughts on “Flex e Windows Vista

  1. Olá

    Instale o Eclipse Europa 3.3, de preferencia o WTP,
    Depois instale o Flex Builder 3 como plugin, ou desconpacte a instalação do Flex Builder 3.2 e coloque nos diretorios de plugins do Eclipse 3.3 (plugins,features).

    Eu uso assim.. e funciona perfeitamente..

    Abraço!
    o/

  2. Tenho certeza que a Adobe não vai querer ficar pra trás e junto com o pessoal do Eclipse logo logo vai soltar uma versão compatível com o WinVista! :-)

Comments are closed.